Bug 1563520 - dependency for nextcloud-client will switch to python3
Summary: dependency for nextcloud-client will switch to python3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nextcloud-client
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Germano Massullo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1560724
TreeView+ depends on / blocked
 
Reported: 2018-04-04 05:26 UTC by Wolfgang Ulbrich
Modified: 2019-04-22 05:09 UTC (History)
8 users (show)

Fixed In Version: nextcloud-client-2.5.2-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-22 05:09:38 UTC
Type: Bug


Attachments (Terms of Use)

Description Wolfgang Ulbrich 2018-04-04 05:26:45 UTC
Description of problem:


Nextcloud-client depends on python-caja which will switch to python3 for f29.
There is is an open pull request at pagure.
https://src.fedoraproject.org/rpms/python-caja/pull-request/2
Please update your package to make that posible.

Also, i'd like to given up python-caja package due to a lack of time, and i don't use it for myself any more with f28.
Are you like to step in to maintain it?

Thank you.

Comment 1 Germano Massullo 2018-05-10 09:05:21 UTC
(In reply to Wolfgang Ulbrich from comment #0)
> Description of problem:
> 
> 
> Nextcloud-client depends on python-caja which will switch to python3 for f29.
> There is is an open pull request at pagure.
> https://src.fedoraproject.org/rpms/python-caja/pull-request/2
> Please update your package to make that posible.

The spec file is already okay.
We are going to update nextcloud-client to lastest upstream version

> Are you like to step in to maintain it?

Personally no, you should ask in fedora-devel mailing list

Best regards

Comment 2 Wolfgang Ulbrich 2018-05-10 11:00:08 UTC
(In reply to Germano Massullo from comment #1)
> (In reply to Wolfgang Ulbrich from comment #0)
> > Description of problem:
> > 
> > 
> > Nextcloud-client depends on python-caja which will switch to python3 for f29.
> > There is is an open pull request at pagure.
> > https://src.fedoraproject.org/rpms/python-caja/pull-request/2
> > Please update your package to make that posible.
> 
> The spec file is already okay.
> We are going to update nextcloud-client to lastest upstream version
> 
What does that mean?
We can update python-caja to python3 without breaking your package?

Comment 3 Germano Massullo 2018-05-10 12:08:00 UTC
(In reply to Wolfgang Ulbrich from comment #2)
> We can update python-caja to python3 without breaking your package?

Yes, we will take care of any problems on nextcloud-client side.
Thank you

Comment 4 Wolfgang Ulbrich 2018-06-20 08:00:13 UTC
I think i will orphan python-caja before f29 branching.

Comment 5 Jan Kurik 2018-08-14 10:08:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 7 Fedora Update System 2018-11-19 16:37:29 UTC
nextcloud-client-2.5.0-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7255a8cc56

Comment 8 Fedora Update System 2018-11-19 16:37:29 UTC
nextcloud-client-2.5.0-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7255a8cc56

Comment 9 Fedora Update System 2018-11-19 16:37:50 UTC
nextcloud-client-2.5.0-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-54b3fd08be

Comment 10 Fedora Update System 2018-11-19 16:37:51 UTC
nextcloud-client-2.5.0-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-54b3fd08be

Comment 11 Fedora Update System 2018-11-19 16:38:09 UTC
nextcloud-client-2.5.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b9f641bf49

Comment 12 Fedora Update System 2018-11-19 16:38:11 UTC
nextcloud-client-2.5.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b9f641bf49

Comment 13 Germano Massullo 2018-11-19 16:38:53 UTC
Please test it and report if there is any need to reconfigure login access mode

Comment 14 Fedora Update System 2018-11-20 15:21:21 UTC
nextcloud-client-2.5.0-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-54b3fd08be

Comment 15 Fedora Update System 2018-11-20 17:02:26 UTC
nextcloud-client-2.5.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b9f641bf49

Comment 16 Fedora Update System 2018-11-20 19:28:41 UTC
nextcloud-client-2.5.0-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7255a8cc56

Comment 17 Fedora Update System 2019-01-09 16:16:27 UTC
nextcloud-client-2.5.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-117007362a

Comment 18 Fedora Update System 2019-01-09 16:17:51 UTC
nextcloud-client-2.5.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-184842aa8c

Comment 19 Fedora Update System 2019-01-11 04:16:39 UTC
nextcloud-client-2.5.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-184842aa8c

Comment 20 Fedora Update System 2019-01-11 05:42:39 UTC
nextcloud-client-2.5.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-117007362a

Comment 21 Fedora Update System 2019-04-11 13:20:35 UTC
nextcloud-client-2.5.2-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c5d5d5aef3

Comment 22 Fedora Update System 2019-04-11 13:20:46 UTC
nextcloud-client-2.5.2-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5705bd6549

Comment 23 Fedora Update System 2019-04-13 03:22:02 UTC
nextcloud-client-2.5.2-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c5d5d5aef3

Comment 24 Fedora Update System 2019-04-13 12:10:17 UTC
nextcloud-client-2.5.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5705bd6549

Comment 25 Fedora Update System 2019-04-22 05:09:38 UTC
nextcloud-client-2.5.2-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.